if( typeof jQuery.fn.on !== 'function' ) {
	jQuery.fn.extend({
		on: function (types, selector, data, fn, one) {
			var type, origFn;
			
			// Types can be a map of types/handlers
			if (typeof types === "object") {
				// ( types-Object, selector, data )
				if (typeof selector !== "string") {
					// ( types-Object, data )
					data = data || selector;
					selector = undefined;
				}
				for (type in types) {
					this.on(type, selector, data, types[type], one);
				}
				return this;
			}
			
			if (data == null && fn == null) {
				// ( types, fn )
				fn = selector;
				data = selector = undefined;
				} else if (fn == null) {
				if (typeof selector === "string") {
					// ( types, selector, fn )
					fn = data;
					data = undefined;
					} else {
					// ( types, data, fn )
					fn = data;
					data = selector;
					selector = undefined;
				}
			}
			if (fn === false) {
				fn = returnFalse;
				} else if (!fn) {
				return this;
			}
			
			if (one === 1) {
				origFn = fn;
				fn = function (event) {
					// Can use an empty set, since event contains the info
					jQuery().off(event);
					return origFn.apply(this, arguments);
				};
				// Use same guid so caller can remove using origFn
				fn.guid = origFn.guid || (origFn.guid = jQuery.guid++);
			}
			return this.each(function () {
				jQuery.event.add(this, types, fn, data, selector);
			});
		}
	});
}

function showsettings() {
	ShowLoading('');
	$.get("/engine/ajax/filter/settings.php", {showsettings:1,filter_request:$('#filter_request').val()},
	function(data){
		HideLoading('');
		if( $('#filter-form').length > 0 ) $('#filter-form').replaceWith('<div class="filter-form">'+data+'</div>');
		else $('.filter-form').removeClass('ignore-select').html(data);
	}
	);
}

function filter_page(page) {
	var element = document.createElement('input'),
	form = document.getElementById('filter-form');
	element.name = 'cstart', element.setAttribute('type', 'hidden'), element.setAttribute('value', page);
	form.appendChild(element), form.submit();
}

$(document).ready(function(){
	
	$('.filter-form .btn').click(function(){
		var ul = $(this).next('ul');
		$('.filter-checkbox-area').not(ul).hide();
		if( ul.css('display') == 'none') ul.show();
		else ul.hide();
	});
	
	$(document).click(function(event){
		var target = $( event.target );
		if ( target.parents('.filter-checkbox-area').length>0 || target.hasClass('btn') ) {
			return;
		}
		$('.filter-checkbox-area').hide();
	});
	
	$('.filter-checkbox-area input').change(function(){
		var check_len = $(this).parents('.filter-checkbox-area').find('input:checked').length,
		filter_col = $(this).parents('.filter-col');
		filter_col.find('.check_count').html(check_len);
		brother_input = $('.filter-checkbox-area input[value="'+$(this).attr('value')+'"]').not($(this));
		
		if( brother_input.parent().text() == $(this).parent().text() ) {
			if( $(this).is(':checked') ) {
				brother_input.prop('disabled', true).prop('checked', false)
				} else {
				brother_input.prop('disabled', false);
			}
		}
		
		if( check_len > 1 ) $(this).parents('.filter-field').find('.filter-mozg').show();
		else $(this).parents('.filter-field').find('.filter-mozg').hide();
		
	});
	
	$('.filter-form #reset').click(function(){
		$('.check_count').each(function(){
			$(this).html($(this).data('count'));
			if( $(this).data('count') < 2 ) $(this).parents('.filter-field').find('.filter-mozg').hide();
		});
		$('.filter-checkbox-area input').prop('disabled', false);
	});
	
	$('.slider-range input[type="text"]').keyup(function(e){
		if( e.keyCode >= 35 && e.keyCode <= 46 || e.keyCode == 9 || e.keyCode == 16 ) return;
		if( $(this).next().attr('type') == 'text' ) {
			first_val = Number($(this).val());
			second_val = Number($(this).next().val());
			first_input = $(this);
			second_input = $(this).next();
			} else if ( $(this).prev().attr('type') == 'text' ) {
			first_val = Number($(this).prev().val());
			second_val = Number($(this).val());
			first_input = $(this).prev();
			second_input = $(this);
		}
		
		if( !first_val ) first_val = 0;
		if( !second_val ) second_val = 0;
		
		if( second_val < first_val ) first = second_val;
		else first = first_val;
		if( first_val > second_val ) second = first_val;
		else second = second_val;
		
		first = first_val;
		
		$(this).parents('.slider-col').find('.slider-range').slider( "option", "values", [ first, second ] );
		
		return false;
	})
	.change(function(){
		first_input.val($(this).parents('.slider-col').find('.slider-range').slider("values", 0));
		second_input.val($(this).parents('.slider-col').find('.slider-range').slider("values", 1));
	});
	
	$('.slider-one input[type="text"]').keyup(function(e){
		if( e.keyCode >= 35 && e.keyCode <= 46 || e.keyCode == 9 || e.keyCode == 16 ) return;
		
		$(this).parents('.slider-col').find('.ui-slider').slider( "option", "value", $(this).val() );
		
		return false;
	})
	.change(function(){
		$(this).val($(this).parents('.slider-col').find('.ui-slider').slider("value"));
	});
	
	function findtags(query, val) {
		$.post(dle_root + "engine/ajax/filter/searchtags.php", {query: query, arr: val}, function(data) {
			$('#searchtags').html(data).fadeIn().css({'position' : 'absolute', top:input.offset().top+input.height(), left:input.offset().left});
		})
	}
	
	$('#filter-tags').keyup(function() {
	
		var tstime;
		
		input = $('#filter-tags');
		val = input.val();
		val = val.split(',');
		query = val[val.length-1];
		
		if( input.val().length > 0 ) {
		
			$('#searchtags').remove();
			
			$("body").append("<div id='searchtags' style='display:none'></div>");
			
			clearTimeout(tstime);
			tstime = setTimeout(findtags, 500, query, val);
			
			} else {
			$('#searchtags').fadeOut();
		}
		
	})
	.blur(function(){
		$('#searchtags').fadeOut();
	});
	
})

.on('click', '#searchtags span', function() {
	val[val.length-1] = ( val.length == 1 ? '' : ' ' );
	$('#filter-tags').val(val.join()+$(this).html()+', ').focus();
});